.site-footer{

background:#4a4a4a; /* สีเดียวกับ nav */

color:white;

padding:30px 30px;

font-size:14px;

}

.footer-grid{

max-width:1400px;

margin:auto;

display:grid;

grid-template-columns:2fr 1fr 1fr 1fr;

gap:60px;

align-items:flex-start;

}

.footer-about{

line-height:1.7;
opacity:0.9;

}

.footer-column h4{

font-size:13px;

letter-spacing:2px;

margin-bottom:20px;

opacity:0.7;

}

.footer-column a{

display:block;

text-decoration:none;

color:white;

margin-bottom:10px;

opacity:0.85;

transition:0.3s;

}

.footer-column a:hover{

opacity:1;

}

.footer-logo{

text-align:right;

}

.footer-logo img{

max-width:140px;

opacity:0.9;

}

.footer-logo img:hover{

opacity:1;

}



@media (max-width:900px){

.footer-grid{

grid-template-columns:1fr 1fr;

gap:40px;

}

.footer-logo{

text-align:left;

margin-top:20px;

}

}

@media (max-width:600px){

.footer-grid{

grid-template-columns:1fr;

}

}


img{
pointer-events:none;
-webkit-user-drag:none;
user-select:none;
}

.footer-social{
margin-top:10px;
display:flex;
gap:15px;
}

.footer-social a{
color:white;
font-size:20px;
transition:0.3s;
}

.footer-social a:hover{
color:#d4af37;
}


